Bug 200344 - up2date doesn't perform correctly for redundant satellite server configuration
up2date doesn't perform correctly for redundant satellite server configuration
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 20:53 EDT by Lana Akamine
Modified: 2012-06-20 12:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:02:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHN Redundancy (572.09 KB, application/pdf)
2006-07-26 20:53 EDT, Jim Webb
no flags Details

  None (edit)
Description Jim Webb 2006-07-26 20:53:09 EDT
Description of problem:
I have attached a PDF document that I received to help me get ready for the
engagement that I am currently working on.  I am on site with a customer that
has purchased two Satellite Servers with Embedded DBs.  One is on site and the
other is located at their DR facility.  They are both attached to their
respective mirrored (NetApp Filers) for the /var/satellite, /rhnsat,
/var/www/html/pub file systems.  We have successfully failed over with some
limited manual interaction.  Here is where the problem comes in....

The attached document states the up2date is capable of looking at multiple
RHN/Satellite Hosts, delimited by ";" in the /etc/sysconfig/rhn/up2date file. 
Example:

    serverURL=https://10.2.230.14/XMLRPC;https://10.5.230.14/XMLRPC

If you are interested, this is stated on page 6, the second paragraph of
"Configuring the Clients".

I am unable to make this work.  I am currently in the "Failed Over" mode and if
I log onto a client and remove the primary Sat Servs' URL from the serverURL
line I can up2date the system to the secondary satellite.  But with both URLs on
the line I get a connection refused message from the primary and then nothing.


Version-Release number of selected component (if applicable):
up2date-4.4.67-4

How reproducible:
100%

Steps to Reproduce:
1. Place two satellite server URLs separated by a ";" on the serverURL line in
/etc/sysconfig/rhn/up2date file.  Example above.
2. With the first Satellite disabled attempt to perform an up2date on a
registered client. up2date -l will due to perform the test.
3. Placing an ";" at the end of the same serverURL line will correct the error.
Example:  serverURL=https://10.2.230.14/XMLRPC;https://10.5.230.14/XMLRPC;
  
Actual results:
Failure to connect; Connection Refused

Expected results:
Up2date performs its' requested function on whichever satellite is active.

Additional info:
Comment 1 Jim Webb 2006-07-26 20:53:10 EDT
Created attachment 133124 [details]
RHN Redundancy
Comment 2 Red Hat Bugzilla 2007-04-11 20:59:51 EDT
User bnackash@redhat.com's account has been closed
Comment 4 Jiri Pallich 2012-06-20 12:02:45 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.